<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_282) on Wed Apr 21 14:40:19 CEST 2021 -->
<title>U-Index</title>
<meta name="date" content="2021-04-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/UserService.html#update-com.nnk.springboot.domain.User-">update(User)</a></span> - Method in class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/UserService.html" title="class in com.nnk.springboot.services">UserService</a></dt>
<dd>
<div class="block">Update user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/BidListController.html#updateBid-java.lang.Integer-com.nnk.springboot.domain.BidList-org.springframework.validation.BindingResult-org.springframework.ui.Model-">updateBid(Integer, BidList, BindingResult, Model)</a></span> - Method in class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/BidListController.html" title="class in com.nnk.springboot.controllers">BidListController</a></dt>
<dd>
<div class="block">Update bid list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/CurveController.html#updateBid-java.lang.Integer-com.nnk.springboot.domain.CurvePoint-org.springframework.validation.BindingResult-org.springframework.ui.Model-">updateBid(Integer, CurvePoint, BindingResult, Model)</a></span> - Method in class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/CurveController.html" title="class in com.nnk.springboot.controllers">CurveController</a></dt>
<dd>
<div class="block">Update curve point.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/RatingController.html#updateRating-java.lang.Integer-com.nnk.springboot.domain.Rating-org.springframework.validation.BindingResult-org.springframework.ui.Model-">updateRating(Integer, Rating, BindingResult, Model)</a></span> - Method in class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/RatingController.html" title="class in com.nnk.springboot.controllers">RatingController</a></dt>
<dd>
<div class="block">Update rating.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/RuleNameController.html#updateRuleName-java.lang.Integer-com.nnk.springboot.domain.RuleName-org.springframework.validation.BindingResult-org.springframework.ui.Model-">updateRuleName(Integer, RuleName, BindingResult, Model)</a></span> - Method in class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/RuleNameController.html" title="class in com.nnk.springboot.controllers">RuleNameController</a></dt>
<dd>
<div class="block">Update rule name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/TradeController.html#updateTrade-java.lang.Integer-com.nnk.springboot.domain.Trade-org.springframework.validation.BindingResult-">updateTrade(Integer, Trade, BindingResult)</a></span> - Method in class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/TradeController.html" title="class in com.nnk.springboot.controllers">TradeController</a></dt>
<dd>
<div class="block">Update trade.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/UserController.html#updateUser-java.lang.Integer-com.nnk.springboot.domain.User-org.springframework.validation.BindingResult-org.springframework.ui.Model-">updateUser(Integer, User, BindingResult, Model)</a></span> - Method in class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/UserController.html" title="class in com.nnk.springboot.controllers">UserController</a></dt>
<dd>
<div class="block">Update user.</div>
</dd>
<dt><a href="../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">User</span></a> - Class in <a href="../com/nnk/springboot/domain/package-summary.html">com.nnk.springboot.domain</a></dt>
<dd>
<div class="block">The type User.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/domain/User.html#User--">User()</a></span> - Constructor for class com.nnk.springboot.domain.<a href="../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a></dt>
<dd>
<div class="block">Instantiates a new User.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/domain/User.html#User-java.lang.String-java.lang.String-java.lang.String-">User(String, String, String)</a></span> - Constructor for class com.nnk.springboot.domain.<a href="../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a></dt>
<dd>
<div class="block">Instantiates a new User.</div>
</dd>
<dt><a href="../com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions"><span class="typeNameLink">UserAlreadyExistingException</span></a> - Exception in <a href="../com/nnk/springboot/exceptions/package-summary.html">com.nnk.springboot.exceptions</a></dt>
<dd>
<div class="block">The type User already existing exception.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/exceptions/UserAlreadyExistingException.html#UserAlreadyExistingException-java.lang.String-">UserAlreadyExistingException(String)</a></span> - Constructor for exception com.nnk.springboot.exceptions.<a href="../com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions">UserAlreadyExistingException</a></dt>
<dd>
<div class="block">Instantiates a new User already existing exception.</div>
</dd>
<dt><a href="../com/nnk/springboot/controllers/UserController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">UserController</span></a> - Class in <a href="../com/nnk/springboot/controllers/package-summary.html">com.nnk.springboot.controllers</a></dt>
<dd>
<div class="block">The  User controller.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/UserController.html#UserController--">UserController()</a></span> - Constructor for class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/UserController.html" title="class in com.nnk.springboot.controllers">UserController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/integration/UserControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">UserControllerIT</span></a> - Class in <a href="../com/nnk/springboot/integration/package-summary.html">com.nnk.springboot.integration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/integration/UserControllerIT.html#UserControllerIT--">UserControllerIT()</a></span> - Constructor for class com.nnk.springboot.integration.<a href="../com/nnk/springboot/integration/UserControllerIT.html" title="class in com.nnk.springboot.integration">UserControllerIT</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/controllers/UserControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">UserControllerTest</span></a> - Class in <a href="../com/nnk/springboot/controllers/package-summary.html">com.nnk.springboot.controllers</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/UserControllerTest.html#UserControllerTest--">UserControllerTest()</a></span> - Constructor for class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/UserControllerTest.html" title="class in com.nnk.springboot.controllers">UserControllerTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/repositories/UserRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">UserRepository</span></a> - Interface in <a href="../com/nnk/springboot/repositories/package-summary.html">com.nnk.springboot.repositories</a></dt>
<dd>
<div class="block">The interface User repository.</div>
</dd>
<dt><a href="../com/nnk/springboot/services/UserService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">UserService</span></a> - Class in <a href="../com/nnk/springboot/services/package-summary.html">com.nnk.springboot.services</a></dt>
<dd>
<div class="block">The type User service.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/UserService.html#UserService--">UserService()</a></span> - Constructor for class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/UserService.html" title="class in com.nnk.springboot.services">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/services/UserServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">UserServiceTest</span></a> - Class in <a href="../com/nnk/springboot/services/package-summary.html">com.nnk.springboot.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/UserServiceTest.html#UserServiceTest--">UserServiceTest()</a></span> - Constructor for class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/UserServiceTest.html" title="class in com.nnk.springboot.services">UserServiceTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
